/*******************************************************************************
 * Copyright (c) 2005, 2014 springside.github.io
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 *******************************************************************************/
package com.yihu.wlyy.repository.organization;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import com.yihu.wlyy.entity.organization.HospitalDept;

public interface HospitalDeptDao  extends PagingAndSortingRepository<HospitalDept, Long>,JpaSpecificationExecutor<HospitalDept> {
	// 根據CODE查詢科室名称
	@Query("select p from HospitalDept p where p.code = ?1")
	HospitalDept findByCode(String code);

}
