package com.yihu.wlyy.repository.doctor;

import com.yihu.wlyy.entity.doctor.survey.SurveyFilter;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by Reece on 2017/3/9.
 */
public interface SurveyFilterDao extends PagingAndSortingRepository<SurveyFilter, Long> {

    @Query("select  t from SurveyFilter t where t.surveyCode = ?1")
    List<SurveyFilter> findBySurveyCode(String surveyCode);
}
