package com.yihu.wlyy.service.app.version;

import javax.transaction.Transactional;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.yihu.wlyy.entity.Versions;
import com.yihu.wlyy.repository.VersionsDao;
import com.yihu.wlyy.service.BaseService;

@Component
@Transactional(rollbackOn = Exception.class)
public class VersionsService extends BaseService {

	@Autowired
	private VersionsDao versionsDao;

	/**
	 * 根据code查询版本号对象
	 * @param code
	 * @return
	 */
	public Versions findVersionByCode(String code) {
		return versionsDao.findByCode(code);
	}

}
